import { Org } from "@salesforce/core";
import { ScratchOrg } from "../../../utils/scratchOrgUtils";
export default class PoolFetchImpl {
    private hubOrg;
    private tag;
    private mypool;
    private sendToUser;
    private alias;
    private setdefaultusername;
    constructor(hubOrg: Org, tag: string, mypool: boolean, sendToUser: string, alias: string, setdefaultusername: boolean);
    execute(): Promise<ScratchOrg>;
    loginToScratchOrgIfSfdxAuthURLExists(soDetail: ScratchOrg): void;
    private isValidSfdxAuthUrl;
}
